import { Inject } from '@angular/core';
import { Http } from '@angular/http';
import { Observable } from 'rxjs';

export class SampleService{
  constructor(@Inject(Http) http) {
    this.http = http;
  }                  
  
  get() {
    //Simulate getting data from a service
    return new Promise((resolve, reject) => {
      const max = 50000;
      const data = [];
      for(let i = 0; i < max; i++) {
        data.push({ id: i, value: Math.round(Math.random() * max)});
      }
      resolve(data);
    });
  }  
}
